/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 * that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*! @name PORTB12 (number 68), MB_J11[A14]/MB_U12[18]/MB_PWM_AT/J4[A14]/PWM0
  @{ */
#define MB_PWM_AT_PERIPHERAL FTM0                                       /*!<@brief Device name: FTM0 */
#define MB_PWM_AT_SIGNAL CH                                             /*!<@brief FTM0 signal: CH */
#define MB_PWM_AT_PORT PORTB                                            /*!<@brief PORT device name: PORTB */
#define MB_PWM_AT_PIN 12U                                               /*!<@brief PORTB pin index: 12 */
#define MB_PWM_AT_CHANNEL 0                                             /*!<@brief FTM0 channel: 0 */
#define MB_PWM_AT_PIN_NAME FTM0_CH0                                     /*!<@brief Pin name */
#define MB_PWM_AT_LABEL "MB_J11[A14]/MB_U12[18]/MB_PWM_AT/J4[A14]/PWM0" /*!<@brief Label */
#define MB_PWM_AT_NAME "PWM_AT"                                         /*!<@brief Identifier name */
#define MB_PWM_AT_DIRECTION kPIN_MUX_DirectionOutput                    /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTB13 (number 67), MB_J11[A15]/MB_U12[12]/MB_PWM_AB/J4[A15]/PWM1
  @{ */
#define MB_PWM_AB_PERIPHERAL FTM0                                       /*!<@brief Device name: FTM0 */
#define MB_PWM_AB_SIGNAL CH                                             /*!<@brief FTM0 signal: CH */
#define MB_PWM_AB_PORT PORTB                                            /*!<@brief PORT device name: PORTB */
#define MB_PWM_AB_PIN 13U                                               /*!<@brief PORTB pin index: 13 */
#define MB_PWM_AB_CHANNEL 1                                             /*!<@brief FTM0 channel: 1 */
#define MB_PWM_AB_PIN_NAME FTM0_CH1                                     /*!<@brief Pin name */
#define MB_PWM_AB_LABEL "MB_J11[A15]/MB_U12[12]/MB_PWM_AB/J4[A15]/PWM1" /*!<@brief Label */
#define MB_PWM_AB_NAME "PWM_AB"                                         /*!<@brief Identifier name */
#define MB_PWM_AB_DIRECTION kPIN_MUX_DirectionOutput                    /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTB14 (number 66), MB_J11[A16]/MB_U12[19]/MB_PWM_BT/J4[A16]/PWM2
  @{ */
#define MB_PWM_BT_PERIPHERAL FTM0                                       /*!<@brief Device name: FTM0 */
#define MB_PWM_BT_SIGNAL CH                                             /*!<@brief FTM0 signal: CH */
#define MB_PWM_BT_PORT PORTB                                            /*!<@brief PORT device name: PORTB */
#define MB_PWM_BT_PIN 14U                                               /*!<@brief PORTB pin index: 14 */
#define MB_PWM_BT_CHANNEL 2                                             /*!<@brief FTM0 channel: 2 */
#define MB_PWM_BT_PIN_NAME FTM0_CH2                                     /*!<@brief Pin name */
#define MB_PWM_BT_LABEL "MB_J11[A16]/MB_U12[19]/MB_PWM_BT/J4[A16]/PWM2" /*!<@brief Label */
#define MB_PWM_BT_NAME "PWM_BT"                                         /*!<@brief Identifier name */
#define MB_PWM_BT_DIRECTION kPIN_MUX_DirectionOutput                    /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTB15 (number 65), MB_J11[A17]/MB_U12[13]/MB_PWM_BB/J4[A17]/PWM3
  @{ */
#define MB_PWM_BB_PERIPHERAL FTM0                                       /*!<@brief Device name: FTM0 */
#define MB_PWM_BB_SIGNAL CH                                             /*!<@brief FTM0 signal: CH */
#define MB_PWM_BB_PORT PORTB                                            /*!<@brief PORT device name: PORTB */
#define MB_PWM_BB_PIN 15U                                               /*!<@brief PORTB pin index: 15 */
#define MB_PWM_BB_CHANNEL 3                                             /*!<@brief FTM0 channel: 3 */
#define MB_PWM_BB_PIN_NAME FTM0_CH3                                     /*!<@brief Pin name */
#define MB_PWM_BB_LABEL "MB_J11[A17]/MB_U12[13]/MB_PWM_BB/J4[A17]/PWM3" /*!<@brief Label */
#define MB_PWM_BB_NAME "PWM_BB"                                         /*!<@brief Identifier name */
#define MB_PWM_BB_DIRECTION kPIN_MUX_DirectionOutput                    /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTB16 (number 64), MB_J11[A18]/MB_U12[20]/MB_PWM_CT/J4[A18]/PWM4
  @{ */
#define MB_PWM_CT_PERIPHERAL FTM0                                       /*!<@brief Device name: FTM0 */
#define MB_PWM_CT_SIGNAL CH                                             /*!<@brief FTM0 signal: CH */
#define MB_PWM_CT_PORT PORTB                                            /*!<@brief PORT device name: PORTB */
#define MB_PWM_CT_PIN 16U                                               /*!<@brief PORTB pin index: 16 */
#define MB_PWM_CT_CHANNEL 4                                             /*!<@brief FTM0 channel: 4 */
#define MB_PWM_CT_PIN_NAME FTM0_CH4                                     /*!<@brief Pin name */
#define MB_PWM_CT_LABEL "MB_J11[A18]/MB_U12[20]/MB_PWM_CT/J4[A18]/PWM4" /*!<@brief Label */
#define MB_PWM_CT_NAME "PWM_CT"                                         /*!<@brief Identifier name */
#define MB_PWM_CT_DIRECTION kPIN_MUX_DirectionOutput                    /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTB17 (number 63), MB_J11[A19]/MB_U12[14]/MB_PWM_CB/J4[A19]/PWM5
  @{ */
#define MB_PWM_CB_PERIPHERAL FTM0                                       /*!<@brief Device name: FTM0 */
#define MB_PWM_CB_SIGNAL CH                                             /*!<@brief FTM0 signal: CH */
#define MB_PWM_CB_PORT PORTB                                            /*!<@brief PORT device name: PORTB */
#define MB_PWM_CB_PIN 17U                                               /*!<@brief PORTB pin index: 17 */
#define MB_PWM_CB_CHANNEL 5                                             /*!<@brief FTM0 channel: 5 */
#define MB_PWM_CB_PIN_NAME FTM0_CH5                                     /*!<@brief Pin name */
#define MB_PWM_CB_LABEL "MB_J11[A19]/MB_U12[14]/MB_PWM_CB/J4[A19]/PWM5" /*!<@brief Label */
#define MB_PWM_CB_NAME "PWM_CB"                                         /*!<@brief Identifier name */
#define MB_PWM_CB_DIRECTION kPIN_MUX_DirectionOutput                    /*!<@brief Direction */
                                                                        /* @} */

/*! @name PORTE3 (number 18), MB_J11[A25]/MB_U12[11]/MB_TP28/MB_FAULT/MB_FAULT_1/MB_PFC_overcurrent/J4[A25]/FAULT_1
  @{ */
/*!
 * @brief Device name: FTM0 */
#define MB_FAULT_1_PERIPHERAL FTM0
/*!
 * @brief FTM0 signal: TRG */
#define MB_FAULT_1_SIGNAL TRG
/*!
 * @brief PORT device name: PORTE */
#define MB_FAULT_1_PORT PORTE
/*!
 * @brief PORTE pin index: 3 */
#define MB_FAULT_1_PIN 3U
/*!
 * @brief FTM0 TRG channel: 2 */
#define MB_FAULT_1_CHANNEL 2
/*!
 * @brief Pin name */
#define MB_FAULT_1_PIN_NAME FTM0_FLT0
/*!
 * @brief Label */
#define MB_FAULT_1_LABEL "MB_J11[A25]/MB_U12[11]/MB_TP28/MB_FAULT/MB_FAULT_1/MB_PFC_overcurrent/J4[A25]/FAULT_1"
/*!
 * @brief Identifier name */
#define MB_FAULT_1_NAME "FAULT_1"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitMC_PWM(void);

/*! @name PORTA6 (number 58), MB_J11[B21]/MB_PFC_zc_2/J4[B21]/MB_TP_27
  @{ */
#define MB_PFC_ZC_2_PERIPHERAL CMP1                                  /*!<@brief Device name: CMP1 */
#define MB_PFC_ZC_2_SIGNAL IN                                        /*!<@brief CMP1 signal: IN */
#define MB_PFC_ZC_2_PORT PORTA                                       /*!<@brief PORT device name: PORTA */
#define MB_PFC_ZC_2_PIN 6U                                           /*!<@brief PORTA pin index: 6 */
#define MB_PFC_ZC_2_CHANNEL 0                                        /*!<@brief CMP1 IN channel: 0 */
#define MB_PFC_ZC_2_PIN_NAME ACMP1_IN0                               /*!<@brief Pin name */
#define MB_PFC_ZC_2_LABEL "MB_J11[B21]/MB_PFC_zc_2/J4[B21]/MB_TP_27" /*!<@brief Label */
#define MB_PFC_ZC_2_NAME "PFC_ZC_2"                                  /*!<@brief Identifier name */
                                                                     /* @} */

/*! @name PORTA7 (number 57), MB_J11[B22]/MB_PFC_zc_1/J4[B22]/MB_TP_26
  @{ */
#define MB_PFC_ZC_1_PERIPHERAL CMP1                                  /*!<@brief Device name: CMP1 */
#define MB_PFC_ZC_1_SIGNAL IN                                        /*!<@brief CMP1 signal: IN */
#define MB_PFC_ZC_1_PORT PORTA                                       /*!<@brief PORT device name: PORTA */
#define MB_PFC_ZC_1_PIN 7U                                           /*!<@brief PORTA pin index: 7 */
#define MB_PFC_ZC_1_CHANNEL 1                                        /*!<@brief CMP1 IN channel: 1 */
#define MB_PFC_ZC_1_PIN_NAME ACMP1_IN1                               /*!<@brief Pin name */
#define MB_PFC_ZC_1_LABEL "MB_J11[B22]/MB_PFC_zc_1/J4[B22]/MB_TP_26" /*!<@brief Label */
#define MB_PFC_ZC_1_NAME "PFC_ZC_1"                                  /*!<@brief Identifier name */
                                                                     /* @} */

/*! @name PORTE2 (number 85), MB_J11[B28]/MB_Q3[1]/MB_Relay/J4[B28]/Relay
  @{ */
#define MB_RELAY_PERIPHERAL GPIOE                                    /*!<@brief Device name: GPIOE */
#define MB_RELAY_SIGNAL GPIO                                         /*!<@brief GPIOE signal: GPIO */
#define MB_RELAY_GPIO GPIOE                                          /*!<@brief GPIO device name: GPIOE */
#define MB_RELAY_GPIO_PIN 2U                                         /*!<@brief PORTE pin index: 2 */
#define MB_RELAY_PORT PORTE                                          /*!<@brief PORT device name: PORTE */
#define MB_RELAY_PIN 2U                                              /*!<@brief PORTE pin index: 2 */
#define MB_RELAY_CHANNEL 2                                           /*!<@brief GPIOE GPIO channel: 2 */
#define MB_RELAY_PIN_NAME PTE2                                       /*!<@brief Pin name */
#define MB_RELAY_LABEL "MB_J11[B28]/MB_Q3[1]/MB_Relay/J4[B28]/Relay" /*!<@brief Label */
#define MB_RELAY_NAME "RELAY"                                        /*!<@brief Identifier name */
#define MB_RELAY_DIRECTION kPIN_MUX_DirectionOutput                  /*!<@brief Direction */
                                                                     /* @} */

/*! @name PORTB2 (number 48), MB_J11[A22]/MB_U14[4]/MB_TP15/MB_PWM_PFC2/J4[A22]/PWM8
  @{ */
/*!
 * @brief Device name: FTM1 */
#define MB_PWM_PFC2_PERIPHERAL FTM1
/*!
 * @brief FTM1 signal: CH */
#define MB_PWM_PFC2_SIGNAL CH
/*!
 * @brief PORT device name: PORTB */
#define MB_PWM_PFC2_PORT PORTB
/*!
 * @brief PORTB pin index: 2 */
#define MB_PWM_PFC2_PIN 2U
/*!
 * @brief FTM1 channel: 0 */
#define MB_PWM_PFC2_CHANNEL 0
/*!
 * @brief Pin name */
#define MB_PWM_PFC2_PIN_NAME FTM1_CH0
/*!
 * @brief Label */
#define MB_PWM_PFC2_LABEL "MB_J11[A22]/MB_U14[4]/MB_TP15/MB_PWM_PFC2/J4[A22]/PWM8"
/*!
 * @brief Identifier name */
#define MB_PWM_PFC2_NAME "PWM_PFC2"
/*!
 * @brief Direction */
#define MB_PWM_PFC2_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*! @name PORTD8 (number 42), MB_J11[A23]/MB_U14[2]/MB_TP12/MB_PWM_PFC1/J4[A23]/PWM9
  @{ */
/*!
 * @brief Device name: FTM1 */
#define MB_PWM_PFC1_PERIPHERAL FTM1
/*!
 * @brief FTM1 signal: CH */
#define MB_PWM_PFC1_SIGNAL CH
/*!
 * @brief PORT device name: PORTD */
#define MB_PWM_PFC1_PORT PORTD
/*!
 * @brief PORTD pin index: 8 */
#define MB_PWM_PFC1_PIN 8U
/*!
 * @brief FTM1 channel: 4 */
#define MB_PWM_PFC1_CHANNEL 4
/*!
 * @brief Pin name */
#define MB_PWM_PFC1_PIN_NAME FTM1_CH4
/*!
 * @brief Label */
#define MB_PWM_PFC1_LABEL "MB_J11[A23]/MB_U14[2]/MB_TP12/MB_PWM_PFC1/J4[A23]/PWM9"
/*!
 * @brief Identifier name */
#define MB_PWM_PFC1_NAME "PWM_PFC1"
/*!
 * @brief Direction */
#define MB_PWM_PFC1_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitPFC(void);

/*! @name PORTE7 (number 59), MB_J11[B3]/MB_U8B[7]/MB_TP34/MB_I_sense_DCB/J4[B3]/I_dcb
  @{ */
/*!
 * @brief Device name: ADC2 */
#define MB_I_DCB_PERIPHERAL ADC2
/*!
 * @brief ADC2 signal: SE */
#define MB_I_DCB_SIGNAL SE
/*!
 * @brief PORT device name: PORTE */
#define MB_I_DCB_PORT PORTE
/*!
 * @brief PORTE pin index: 7 */
#define MB_I_DCB_PIN 7U
/*!
 * @brief ADC2 SE channel: 2 */
#define MB_I_DCB_CHANNEL 2
/*!
 * @brief Pin name */
#define MB_I_DCB_PIN_NAME ADC2_SE2
/*!
 * @brief Label */
#define MB_I_DCB_LABEL "MB_J11[B3]/MB_U8B[7]/MB_TP34/MB_I_sense_DCB/J4[B3]/I_dcb"
/*!
 * @brief Identifier name */
#define MB_I_DCB_NAME "I_DCB"
/* @} */

/*! @name PORTC7 (number 80), MB_J11[B4]/MB_TP31/MB_V_sense_DCB/MB_DCB_Pos/J4[B4]/U_dcb
  @{ */
/*!
 * @brief Device name: ADC1 */
#define MB_U_DCB_PERIPHERAL ADC1
/*!
 * @brief ADC1 signal: SE */
#define MB_U_DCB_SIGNAL SE
/*!
 * @brief PORT device name: PORTC */
#define MB_U_DCB_PORT PORTC
/*!
 * @brief PORTC pin index: 7 */
#define MB_U_DCB_PIN 7U
/*!
 * @brief ADC1 SE channel: 5 */
#define MB_U_DCB_CHANNEL 5
/*!
 * @brief Pin name */
#define MB_U_DCB_PIN_NAME ADC1_SE5
/*!
 * @brief Label */
#define MB_U_DCB_LABEL "MB_J11[B4]/MB_TP31/MB_V_sense_DCB/MB_DCB_Pos/J4[B4]/U_dcb"
/*!
 * @brief Identifier name */
#define MB_U_DCB_NAME "U_DCB"
/* @} */

/*! @name PORTE10 (number 6), MB_J11[B5]/MB_TP33/'MB_V_sense_DCB/2'/J4[B5]/'U_dcb/2'
  @{ */
/*!
 * @brief Device name: ADC2 */
#define MB_U_DCB_HALF_PERIPHERAL ADC2
/*!
 * @brief ADC2 signal: SE */
#define MB_U_DCB_HALF_SIGNAL SE
/*!
 * @brief PORT device name: PORTE */
#define MB_U_DCB_HALF_PORT PORTE
/*!
 * @brief PORTE pin index: 10 */
#define MB_U_DCB_HALF_PIN 10U
/*!
 * @brief ADC2 SE channel: 12 */
#define MB_U_DCB_HALF_CHANNEL 12
/*!
 * @brief Pin name */
#define MB_U_DCB_HALF_PIN_NAME ADC2_SE12
/*!
 * @brief Label */
#define MB_U_DCB_HALF_LABEL "MB_J11[B5]/MB_TP33/'MB_V_sense_DCB/2'/J4[B5]/'U_dcb/2'"
/*!
 * @brief Identifier name */
#define MB_U_DCB_HALF_NAME "U_DCB_HALF"
/* @} */

/*! @name PORTD4 (number 69), MB_J11[B9]/MB_U12[2]/MB_TP38/MB_IPM_temp/J4[B9]/Temp_IPM
  @{ */
/*!
 * @brief Device name: ADC1 */
#define MB_TEMP_IPM_PERIPHERAL ADC1
/*!
 * @brief ADC1 signal: SE */
#define MB_TEMP_IPM_SIGNAL SE
/*!
 * @brief PORT device name: PORTD */
#define MB_TEMP_IPM_PORT PORTD
/*!
 * @brief PORTD pin index: 4 */
#define MB_TEMP_IPM_PIN 4U
/*!
 * @brief ADC1 SE channel: 6 */
#define MB_TEMP_IPM_CHANNEL 6
/*!
 * @brief Pin name */
#define MB_TEMP_IPM_PIN_NAME ADC1_SE6
/*!
 * @brief Label */
#define MB_TEMP_IPM_LABEL "MB_J11[B9]/MB_U12[2]/MB_TP38/MB_IPM_temp/J4[B9]/Temp_IPM"
/*!
 * @brief Identifier name */
#define MB_TEMP_IPM_NAME "TEMP_IPM"
/* @} */

/*! @name PORTB1 (number 53), MB_J11[A5]/MB_U8A[1]/MB_TP37/MB_I_sense_C/J4[A5]/I_phC
  @{ */
#define MB_I_PH_C_PERIPHERAL ADC0                                                /*!<@brief Device name: ADC0 */
#define MB_I_PH_C_SIGNAL SE                                                      /*!<@brief ADC0 signal: SE */
#define MB_I_PH_C_PORT PORTB                                                     /*!<@brief PORT device name: PORTB */
#define MB_I_PH_C_PIN 1U                                                         /*!<@brief PORTB pin index: 1 */
#define MB_I_PH_C_CHANNEL 5                                                      /*!<@brief ADC0 SE channel: 5 */
#define MB_I_PH_C_PIN_NAME ADC0_SE5                                              /*!<@brief Pin name */
#define MB_I_PH_C_LABEL "MB_J11[A5]/MB_U8A[1]/MB_TP37/MB_I_sense_C/J4[A5]/I_phC" /*!<@brief Label */
#define MB_I_PH_C_NAME "I_PH_C"                                                  /*!<@brief Identifier name */
                                                                                 /* @} */

/*! @name PORTB0 (number 54), MB_J11[A4]/MB_U11B[7]/MB_TP40/MB_I_sense_B/J4[A4]/I_phB
  @{ */
/*!
 * @brief Device name: ADC0 */
#define MB_I_PH_B_PERIPHERAL ADC0
/*!
 * @brief ADC0 signal: SE */
#define MB_I_PH_B_SIGNAL SE
/*!
 * @brief PORT device name: PORTB */
#define MB_I_PH_B_PORT PORTB
/*!
 * @brief PORTB pin index: 0 */
#define MB_I_PH_B_PIN 0U
/*!
 * @brief ADC0 SE channel: 4 */
#define MB_I_PH_B_CHANNEL 4
/*!
 * @brief Pin name */
#define MB_I_PH_B_PIN_NAME ADC0_SE4
/*!
 * @brief Label */
#define MB_I_PH_B_LABEL "MB_J11[A4]/MB_U11B[7]/MB_TP40/MB_I_sense_B/J4[A4]/I_phB"
/*!
 * @brief Identifier name */
#define MB_I_PH_B_NAME "I_PH_B"
/* @} */

/*! @name PORTA0 (number 79), MB_J11[A3]/MB_U11A[1]/MB_TP45/MB_I_sense_A/J4[A3]/I_phA
  @{ */
/*!
 * @brief Device name: ADC0 */
#define MB_I_PH_A_PERIPHERAL ADC0
/*!
 * @brief ADC0 signal: SE */
#define MB_I_PH_A_SIGNAL SE
/*!
 * @brief PORT device name: PORTA */
#define MB_I_PH_A_PORT PORTA
/*!
 * @brief PORTA pin index: 0 */
#define MB_I_PH_A_PIN 0U
/*!
 * @brief ADC0 SE channel: 0 */
#define MB_I_PH_A_CHANNEL 0
/*!
 * @brief Pin name */
#define MB_I_PH_A_PIN_NAME ADC0_SE0
/*!
 * @brief Label */
#define MB_I_PH_A_LABEL "MB_J11[A3]/MB_U11A[1]/MB_TP45/MB_I_sense_A/J4[A3]/I_phA"
/*!
 * @brief Identifier name */
#define MB_I_PH_A_NAME "I_PH_A"
/* @} */

/*! @name PORTC3 (number 29), MB_J11[A6]/MB_TP16/MB_TACHO/J4[A6]/TACHO
  @{ */
#define MB_TACHO_PERIPHERAL ADC0                                  /*!<@brief Device name: ADC0 */
#define MB_TACHO_SIGNAL SE                                        /*!<@brief ADC0 signal: SE */
#define MB_TACHO_PORT PORTC                                       /*!<@brief PORT device name: PORTC */
#define MB_TACHO_PIN 3U                                           /*!<@brief PORTC pin index: 3 */
#define MB_TACHO_CHANNEL 11                                       /*!<@brief ADC0 SE channel: 11 */
#define MB_TACHO_PIN_NAME ADC0_SE11                               /*!<@brief Pin name */
#define MB_TACHO_LABEL "MB_J11[A6]/MB_TP16/MB_TACHO/J4[A6]/TACHO" /*!<@brief Label */
#define MB_TACHO_NAME "TACHO"                                     /*!<@brief Identifier name */
                                                                  /* @} */

/*! @name PORTC6 (number 81), MB_J11[A7]/MB_TP18/MB_Vin/J4[A7]/V_in
  @{ */
#define MB_V_IN_PERIPHERAL ADC1                               /*!<@brief Device name: ADC1 */
#define MB_V_IN_SIGNAL SE                                     /*!<@brief ADC1 signal: SE */
#define MB_V_IN_PORT PORTC                                    /*!<@brief PORT device name: PORTC */
#define MB_V_IN_PIN 6U                                        /*!<@brief PORTC pin index: 6 */
#define MB_V_IN_CHANNEL 4                                     /*!<@brief ADC1 SE channel: 4 */
#define MB_V_IN_PIN_NAME ADC1_SE4                             /*!<@brief Pin name */
#define MB_V_IN_LABEL "MB_J11[A7]/MB_TP18/MB_Vin/J4[A7]/V_in" /*!<@brief Label */
#define MB_V_IN_NAME "V_IN"                                   /*!<@brief Identifier name */
                                                              /* @} */

/*! @name PORTC15 (number 45), MB_J11[A8]/MB_U2B[7]/MB_TP14/MB_Ipfc1/J4[A8]/I_pfc1
  @{ */
#define MB_I_PFC1_PERIPHERAL ADC0                                             /*!<@brief Device name: ADC0 */
#define MB_I_PFC1_SIGNAL SE                                                   /*!<@brief ADC0 signal: SE */
#define MB_I_PFC1_PORT PORTC                                                  /*!<@brief PORT device name: PORTC */
#define MB_I_PFC1_PIN 15U                                                     /*!<@brief PORTC pin index: 15 */
#define MB_I_PFC1_CHANNEL 13                                                  /*!<@brief ADC0 SE channel: 13 */
#define MB_I_PFC1_PIN_NAME ADC0_SE13                                          /*!<@brief Pin name */
#define MB_I_PFC1_LABEL "MB_J11[A8]/MB_U2B[7]/MB_TP14/MB_Ipfc1/J4[A8]/I_pfc1" /*!<@brief Label */
#define MB_I_PFC1_NAME "I_PFC1"                                               /*!<@brief Identifier name */
                                                                              /* @} */

/*! @name PORTC14 (number 46), MB_J11[A9]/MB_U2A[1]/MB_TP5/MB_Ipfc2/J4[A9]/I_pfc2
  @{ */
#define MB_I_PFC2_PERIPHERAL ADC0                                            /*!<@brief Device name: ADC0 */
#define MB_I_PFC2_SIGNAL SE                                                  /*!<@brief ADC0 signal: SE */
#define MB_I_PFC2_PORT PORTC                                                 /*!<@brief PORT device name: PORTC */
#define MB_I_PFC2_PIN 14U                                                    /*!<@brief PORTC pin index: 14 */
#define MB_I_PFC2_CHANNEL 12                                                 /*!<@brief ADC0 SE channel: 12 */
#define MB_I_PFC2_PIN_NAME ADC0_SE12                                         /*!<@brief Pin name */
#define MB_I_PFC2_LABEL "MB_J11[A9]/MB_U2A[1]/MB_TP5/MB_Ipfc2/J4[A9]/I_pfc2" /*!<@brief Label */
#define MB_I_PFC2_NAME "I_PFC2"                                              /*!<@brief Identifier name */
                                                                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitANA_SENS(void);

/*! @name PORTD1 (number 3), MB_J11[B6]/MB_TP44/MB_BEMF_sense_A/MB_Phase_A/J4[B6]/BEMF_A
  @{ */
/*!
 * @brief Device name: ADC2 */
#define MB_BEMF_A_PERIPHERAL ADC2
/*!
 * @brief ADC2 signal: SE */
#define MB_BEMF_A_SIGNAL SE
/*!
 * @brief PORT device name: PORTD */
#define MB_BEMF_A_PORT PORTD
/*!
 * @brief PORTD pin index: 1 */
#define MB_BEMF_A_PIN 1U
/*!
 * @brief ADC2 SE channel: 1 */
#define MB_BEMF_A_CHANNEL 1
/*!
 * @brief Pin name */
#define MB_BEMF_A_PIN_NAME ADC2_SE1
/*!
 * @brief Label */
#define MB_BEMF_A_LABEL "MB_J11[B6]/MB_TP44/MB_BEMF_sense_A/MB_Phase_A/J4[B6]/BEMF_A"
/*!
 * @brief Identifier name */
#define MB_BEMF_A_NAME "BEMF_A"
/* @} */

/*! @name PORTD0 (number 4), MB_J11[B7]/MB_TP43/MB_BEMF_sense_B/MB_Phase_B/J4[B7]/BEMF_B
  @{ */
/*!
 * @brief Device name: ADC2 */
#define MB_BEMF_B_PERIPHERAL ADC2
/*!
 * @brief ADC2 signal: SE */
#define MB_BEMF_B_SIGNAL SE
/*!
 * @brief PORT device name: PORTD */
#define MB_BEMF_B_PORT PORTD
/*!
 * @brief PORTD pin index: 0 */
#define MB_BEMF_B_PIN 0U
/*!
 * @brief ADC2 SE channel: 0 */
#define MB_BEMF_B_CHANNEL 0
/*!
 * @brief Pin name */
#define MB_BEMF_B_PIN_NAME ADC2_SE0
/*!
 * @brief Label */
#define MB_BEMF_B_LABEL "MB_J11[B7]/MB_TP43/MB_BEMF_sense_B/MB_Phase_B/J4[B7]/BEMF_B"
/*!
 * @brief Identifier name */
#define MB_BEMF_B_NAME "BEMF_B"
/* @} */

/*! @name PORTE11 (number 5), MB_J11[B8]/MB_TP41/MB_BEMF_sense_C/MB_Phase_C/J4[B8]/BEMF_C
  @{ */
/*!
 * @brief Device name: ADC2 */
#define MB_BEMF_C_PERIPHERAL ADC2
/*!
 * @brief ADC2 signal: SE */
#define MB_BEMF_C_SIGNAL SE
/*!
 * @brief PORT device name: PORTE */
#define MB_BEMF_C_PORT PORTE
/*!
 * @brief PORTE pin index: 11 */
#define MB_BEMF_C_PIN 11U
/*!
 * @brief ADC2 SE channel: 13 */
#define MB_BEMF_C_CHANNEL 13
/*!
 * @brief Pin name */
#define MB_BEMF_C_PIN_NAME ADC2_SE13
/*!
 * @brief Label */
#define MB_BEMF_C_LABEL "MB_J11[B8]/MB_TP41/MB_BEMF_sense_C/MB_Phase_C/J4[B8]/BEMF_C"
/*!
 * @brief Identifier name */
#define MB_BEMF_C_NAME "BEMF_C"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitBEMF(void);

/*! @name PORTE5 (number 8), MB_J9[3]/MB_J11[B14]/MB_TP13/MB_ENC_PhaseA/J4[B14]/TM0
  @{ */
/*!
 * @brief Device name: FTM2 */
#define MB_ENC_PHASE_A_PERIPHERAL FTM2
/*!
 * @brief FTM2 signal: QD_PH */
#define MB_ENC_PHASE_A_SIGNAL QD_PH
/*!
 * @brief PORT device name: PORTE */
#define MB_ENC_PHASE_A_PORT PORTE
/*!
 * @brief PORTE pin index: 5 */
#define MB_ENC_PHASE_A_PIN 5U
/*!
 * @brief FTM2 QD_PH channel: A */
#define MB_ENC_PHASE_A_CHANNEL A
/*!
 * @brief Pin name */
#define MB_ENC_PHASE_A_PIN_NAME FTM2_QD_PHA
/*!
 * @brief Label */
#define MB_ENC_PHASE_A_LABEL "MB_J9[3]/MB_J11[B14]/MB_TP13/MB_ENC_PhaseA/J4[B14]/TM0"
/*!
 * @brief Identifier name */
#define MB_ENC_PHASE_A_NAME "ENC_PHASE_A"
/* @} */

/*! @name PORTE4 (number 9), MB_J9[4]/MB_J11[B15]/MB_TP17/MB_ENC_PhaseB/J4[B15]/TM1
  @{ */
/*!
 * @brief Device name: FTM2 */
#define MB_ENC_PHASE_B_PERIPHERAL FTM2
/*!
 * @brief FTM2 signal: QD_PH */
#define MB_ENC_PHASE_B_SIGNAL QD_PH
/*!
 * @brief PORT device name: PORTE */
#define MB_ENC_PHASE_B_PORT PORTE
/*!
 * @brief PORTE pin index: 4 */
#define MB_ENC_PHASE_B_PIN 4U
/*!
 * @brief FTM2 QD_PH channel: B */
#define MB_ENC_PHASE_B_CHANNEL B
/*!
 * @brief Pin name */
#define MB_ENC_PHASE_B_PIN_NAME FTM2_QD_PHB
/*!
 * @brief Label */
#define MB_ENC_PHASE_B_LABEL "MB_J9[4]/MB_J11[B15]/MB_TP17/MB_ENC_PhaseB/J4[B15]/TM1"
/*!
 * @brief Identifier name */
#define MB_ENC_PHASE_B_NAME "ENC_PHASE_B"
/* @} */

/*! @name PORTD13 (number 25), MB_J9[5]/MB_J11[B16]/MB_TP19/MB_ENC_Index/J4[B16]/TM2
  @{ */
/*!
 * @brief Device name: GPIOD */
#define MB_ENC_INDEX_PERIPHERAL GPIOD
/*!
 * @brief GPIOD signal: GPIO */
#define MB_ENC_INDEX_SIGNAL GPIO
/*!
 * @brief GPIO device name: GPIOD */
#define MB_ENC_INDEX_GPIO GPIOD
/*!
 * @brief PORTD pin index: 13 */
#define MB_ENC_INDEX_GPIO_PIN 13U
/*!
 * @brief PORT device name: PORTD */
#define MB_ENC_INDEX_PORT PORTD
/*!
 * @brief PORTD pin index: 13 */
#define MB_ENC_INDEX_PIN 13U
/*!
 * @brief GPIOD GPIO channel: 13 */
#define MB_ENC_INDEX_CHANNEL 13
/*!
 * @brief Pin name */
#define MB_ENC_INDEX_PIN_NAME PTD13
/*!
 * @brief Label */
#define MB_ENC_INDEX_LABEL "MB_J9[5]/MB_J11[B16]/MB_TP19/MB_ENC_Index/J4[B16]/TM2"
/*!
 * @brief Identifier name */
#define MB_ENC_INDEX_NAME "ENC_INDEX"
/*!
 * @brief Direction */
#define MB_ENC_INDEX_DIRECTION kPIN_MUX_DirectionInput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitENC(void);

/*! @name PORTA3 (number 72), MB_J1[3]/MB_J11[B26]/MB_U1[13]/MB_U3[25]/MB_TP3/MB_TP7/MB_TxD/J4[B26]/TxD
  @{ */
/*!
 * @brief Device name: LPUART0 */
#define MB_TXD_PERIPHERAL LPUART0
/*!
 * @brief LPUART0 signal: TX */
#define MB_TXD_SIGNAL TX
/*!
 * @brief PORT device name: PORTA */
#define MB_TXD_PORT PORTA
/*!
 * @brief PORTA pin index: 3 */
#define MB_TXD_PIN 3U
/*!
 * @brief Pin name */
#define MB_TXD_PIN_NAME LPUART0_TX
/*!
 * @brief Label */
#define MB_TXD_LABEL "MB_J1[3]/MB_J11[B26]/MB_U1[13]/MB_U3[25]/MB_TP3/MB_TP7/MB_TxD/J4[B26]/TxD"
/*!
 * @brief Identifier name */
#define MB_TXD_NAME "TXD"
/* @} */

/*! @name PORTA2 (number 73), MB_J3[2]/MB_J11[B27]/MB_U1[12]/MB_U3[26]/MB_TP2/MB_TP10/MB_RxD/J4[B27]/RxD
  @{ */
/*!
 * @brief Device name: LPUART0 */
#define MB_RXD_PERIPHERAL LPUART0
/*!
 * @brief LPUART0 signal: RX */
#define MB_RXD_SIGNAL RX
/*!
 * @brief PORT device name: PORTA */
#define MB_RXD_PORT PORTA
/*!
 * @brief PORTA pin index: 2 */
#define MB_RXD_PIN 2U
/*!
 * @brief Pin name */
#define MB_RXD_PIN_NAME LPUART0_RX
/*!
 * @brief Label */
#define MB_RXD_LABEL "MB_J3[2]/MB_J11[B27]/MB_U1[12]/MB_U3[26]/MB_TP2/MB_TP10/MB_RxD/J4[B27]/RxD"
/*!
 * @brief Identifier name */
#define MB_RXD_NAME "RXD"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitUSB_UART(void);

/*! @name PORTC9 (number 55), MB_J1[1]/MB_J2[3]/MB_J11[A31]/MB_TxD_1/MB_TxD_EXT/J4[A31]/TxD1
  @{ */
/*!
 * @brief Device name: LPUART1 */
#define MB_TXD_1_PERIPHERAL LPUART1
/*!
 * @brief LPUART1 signal: TX */
#define MB_TXD_1_SIGNAL TX
/*!
 * @brief PORT device name: PORTC */
#define MB_TXD_1_PORT PORTC
/*!
 * @brief PORTC pin index: 9 */
#define MB_TXD_1_PIN 9U
/*!
 * @brief Pin name */
#define MB_TXD_1_PIN_NAME LPUART1_TX
/*!
 * @brief Label */
#define MB_TXD_1_LABEL "MB_J1[1]/MB_J2[3]/MB_J11[A31]/MB_TxD_1/MB_TxD_EXT/J4[A31]/TxD1"
/*!
 * @brief Identifier name */
#define MB_TXD_1_NAME "TXD_1"
/* @} */

/*! @name PORTC8 (number 56), MB_J2[4]/MB_J3[4]/MB_J11[A32]/MB_RxD_1/MB_RxD_EXT/J4[A32]/RxD1
  @{ */
/*!
 * @brief Device name: LPUART1 */
#define MB_RXD_1_PERIPHERAL LPUART1
/*!
 * @brief LPUART1 signal: RX */
#define MB_RXD_1_SIGNAL RX
/*!
 * @brief PORT device name: PORTC */
#define MB_RXD_1_PORT PORTC
/*!
 * @brief PORTC pin index: 8 */
#define MB_RXD_1_PIN 8U
/*!
 * @brief Pin name */
#define MB_RXD_1_PIN_NAME LPUART1_RX
/*!
 * @brief Label */
#define MB_RXD_1_LABEL "MB_J2[4]/MB_J3[4]/MB_J11[A32]/MB_RxD_1/MB_RxD_EXT/J4[A32]/RxD1"
/*!
 * @brief Identifier name */
#define MB_RXD_1_NAME "RXD_1"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitEXT_UART(void);

/*! @name PORTE8 (number 26), MB_J11[B25]/MB_U9[2]/MB_TP_35/MB_MCU_BRAKE/J4[B25]/MCU_BRAKE
  @{ */
/*!
 * @brief Device name: GPIOE */
#define MB_MCU_BRAKE_PERIPHERAL GPIOE
/*!
 * @brief GPIOE signal: GPIO */
#define MB_MCU_BRAKE_SIGNAL GPIO
/*!
 * @brief GPIO device name: GPIOE */
#define MB_MCU_BRAKE_GPIO GPIOE
/*!
 * @brief PORTE pin index: 8 */
#define MB_MCU_BRAKE_GPIO_PIN 8U
/*!
 * @brief PORT device name: PORTE */
#define MB_MCU_BRAKE_PORT PORTE
/*!
 * @brief PORTE pin index: 8 */
#define MB_MCU_BRAKE_PIN 8U
/*!
 * @brief GPIOE GPIO channel: 8 */
#define MB_MCU_BRAKE_CHANNEL 8
/*!
 * @brief Pin name */
#define MB_MCU_BRAKE_PIN_NAME PTE8
/*!
 * @brief Label */
#define MB_MCU_BRAKE_LABEL "MB_J11[B25]/MB_U9[2]/MB_TP_35/MB_MCU_BRAKE/J4[B25]/MCU_BRAKE"
/*!
 * @brief Identifier name */
#define MB_MCU_BRAKE_NAME "MCU_BRAKE"
/*!
 * @brief Direction */
#define MB_MCU_BRAKE_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitBRAKE(void);

#define ADCOPT_ADC0PRETRGSEL_PDB 0x00u /*!<@brief ADC0 pre-trigger source select: PDB pre-trigger (default) */
#define ADCOPT_ADC0TRGSEL_PDB 0x00u    /*!<@brief ADC0 trigger source select: PDB output */
#define ADCOPT_ADC1TRGSEL_PDB 0x00u    /*!<@brief ADC1 trigger source select: PDB output */

/*! @name PORTA14 (number 88), MB_J11[A26]/MB_U9[2]/MB_TP35/MB_FAULT_2/MB_Over-voltage_FAULT/J4[A26]/FAULT_2
  @{ */
/*!
 * @brief Device name: GPIOA */
#define MB_FAULT_2_PERIPHERAL GPIOA
/*!
 * @brief GPIOA signal: GPIO */
#define MB_FAULT_2_SIGNAL GPIO
/*!
 * @brief GPIO device name: GPIOA */
#define MB_FAULT_2_GPIO GPIOA
/*!
 * @brief PORTA pin index: 14 */
#define MB_FAULT_2_GPIO_PIN 14U
/*!
 * @brief PORT device name: PORTA */
#define MB_FAULT_2_PORT PORTA
/*!
 * @brief PORTA pin index: 14 */
#define MB_FAULT_2_PIN 14U
/*!
 * @brief GPIOA GPIO channel: 14 */
#define MB_FAULT_2_CHANNEL 14
/*!
 * @brief Pin name */
#define MB_FAULT_2_PIN_NAME PTA14
/*!
 * @brief Label */
#define MB_FAULT_2_LABEL "MB_J11[A26]/MB_U9[2]/MB_TP35/MB_FAULT_2/MB_Over-voltage_FAULT/J4[A26]/FAULT_2"
/*!
 * @brief Identifier name */
#define MB_FAULT_2_NAME "FAULT_2"
/*!
 * @brief Direction */
#define MB_FAULT_2_DIRECTION kPIN_MUX_DirectionInput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void MB_InitMISC(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTE12 (number 19), U2[24]/U6[13]/TxD_sda
  @{ */
#define BOARD_UART_TX_TGTMCU_PERIPHERAL LPUART2            /*!<@brief Device name: LPUART2 */
#define BOARD_UART_TX_TGTMCU_SIGNAL TX                     /*!<@brief LPUART2 signal: TX */
#define BOARD_UART_TX_TGTMCU_PORT PORTE                    /*!<@brief PORT device name: PORTE */
#define BOARD_UART_TX_TGTMCU_PIN 12U                       /*!<@brief PORTE pin index: 12 */
#define BOARD_UART_TX_TGTMCU_PIN_NAME LPUART2_TX           /*!<@brief Pin name */
#define BOARD_UART_TX_TGTMCU_LABEL "U2[24]/U6[13]/TxD_sda" /*!<@brief Label */
#define BOARD_UART_TX_TGTMCU_NAME "UART_TX_TGTMCU"         /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PORTD17 (number 20), U2[25]/U6[14]/RxD_sda
  @{ */
#define BOARD_UART_RX_TGTMCU_PERIPHERAL LPUART2            /*!<@brief Device name: LPUART2 */
#define BOARD_UART_RX_TGTMCU_SIGNAL RX                     /*!<@brief LPUART2 signal: RX */
#define BOARD_UART_RX_TGTMCU_PORT PORTD                    /*!<@brief PORT device name: PORTD */
#define BOARD_UART_RX_TGTMCU_PIN 17U                       /*!<@brief PORTD pin index: 17 */
#define BOARD_UART_RX_TGTMCU_PIN_NAME LPUART2_RX           /*!<@brief Pin name */
#define BOARD_UART_RX_TGTMCU_LABEL "U2[25]/U6[14]/RxD_sda" /*!<@brief Label */
#define BOARD_UART_RX_TGTMCU_NAME "UART_RX_TGTMCU"         /*!<@brief Identifier name */
                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name PORTE9 (number 23), USER_LED_2
  @{ */
#define BOARD_LED_RED_PERIPHERAL GPIOE                   /*!<@brief Device name: GPIOE */
#define BOARD_LED_RED_SIGNAL GPIO                        /*!<@brief GPIOE signal: GPIO */
#define BOARD_LED_RED_GPIO GPIOE                         /*!<@brief GPIO device name: GPIOE */
#define BOARD_LED_RED_GPIO_PIN 9U                        /*!<@brief PORTE pin index: 9 */
#define BOARD_LED_RED_PORT PORTE                         /*!<@brief PORT device name: PORTE */
#define BOARD_LED_RED_PIN 9U                             /*!<@brief PORTE pin index: 9 */
#define BOARD_LED_RED_CHANNEL 9                          /*!<@brief GPIOE GPIO channel: 9 */
#define BOARD_LED_RED_PIN_NAME PTE9                      /*!<@brief Pin name */
#define BOARD_LED_RED_LABEL "USER_LED_2"                 /*!<@brief Label */
#define BOARD_LED_RED_NAME "LED_RED"                     /*!<@brief Identifier name */
#define BOARD_LED_RED_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
                                                         /* @} */

/*! @name PORTE6 (number 84), MB_J11[B20]/MB_U9[4]/MB_USER_LED/J4[B20]/USER_LED
  @{ */
/*!
 * @brief Device name: GPIOE */
#define BOARD_LED_GREEN_PERIPHERAL GPIOE
/*!
 * @brief GPIOE signal: GPIO */
#define BOARD_LED_GREEN_SIGNAL GPIO
/*!
 * @brief GPIO device name: GPIOE */
#define BOARD_LED_GREEN_GPIO GPIOE
/*!
 * @brief PORTE pin index: 6 */
#define BOARD_LED_GREEN_GPIO_PIN 6U
/*!
 * @brief PORT device name: PORTE */
#define BOARD_LED_GREEN_PORT PORTE
/*!
 * @brief PORTE pin index: 6 */
#define BOARD_LED_GREEN_PIN 6U
/*!
 * @brief GPIOE GPIO channel: 6 */
#define BOARD_LED_GREEN_CHANNEL 6
/*!
 * @brief Pin name */
#define BOARD_LED_GREEN_PIN_NAME PTE6
/*!
 * @brief Label */
#define BOARD_LED_GREEN_LABEL "MB_J11[B20]/MB_U9[4]/MB_USER_LED/J4[B20]/USER_LED"
/*!
 * @brief Identifier name */
#define BOARD_LED_GREEN_NAME "LED_GREEN"
/*!
 * @brief Direction */
#define BOARD_LED_GREEN_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
